Public Member Functions | List of all members
clan::WorkQueue Class Reference
clanCore System

Thread pool for worker threads. More...

`#include <work_queue.h>`

## Public Member Functions
| WorkQueue (bool serial_queue=false)
| Constructs a work queue. More...
| ~WorkQueue ()
int | get_items_queued () const
| Returns the number of items currently queued. More...
void | process_work_completed ()
| Process work completed queue. More...
void | queue (WorkItem *item)
| Queue some work to be executed on a worker thread. More...
void | queue (const std::function< void()> &func)
| Queue some work to be executed on a worker thread. More...
void | work_completed (const std::function< void()> &func)
| Queue some work to be executed on the main WorkQueue thread. More...

## Detailed Description

Thread pool for worker threads.

The documentation for this class was generated from the following file:

- work_queue.h